/**
 * @export
 * @class CSSDKError
 */
export class CSSDKError {
  constructor(message?: any, payload?: any);
}

/**
 * @export
 * @class WebApiError
 * @extends {CSSDKError}
 */
export class WebApiError extends CSSDKError {
  constructor(message?: any, payload?: any);
  getStatusCode(): number;
}

/**
 * @export
 * @class ConfigurationError
 * @extends {CSSDKError}
 */
export class ConfigurationError extends CSSDKError {
  constructor(message?: any, payload?: any);
}